OpenTTD Source: AirportOverrideManager Class Reference

OpenTTD Source 14.0-RC3

Public Member Functions
AirportOverrideManager Class Reference
Inheritance diagram for AirportOverrideManager:

## Public Member Functions
| AirportOverrideManager (uint16_t offset, uint16_t maximum, uint16_t invalid)
void | SetEntitySpec (AirportSpec *inds)
Public Member Functions inherited from OverrideManagerBase
| OverrideManagerBase (uint16_t offset, uint16_t maximum, uint16_t invalid)
| Constructor of generic class. More...
void | ResetOverride ()
| Resets the override, which is used while initializing game.
void | ResetMapping ()
| Resets the mapping, which is used while initializing game.
void | Add (uint16_t local_id, uint32_t grfid, uint entity_type)
| Since the entity IDs defined by the GRF file does not necessarily correlate to those used by the game, the IDs used for overriding old entities must be translated when the entity spec is set. More...
virtual uint16_t | AddEntityID (uint16_t grf_local_id, uint32_t grfid, uint16_t substitute_id)
| Reserves a place in the mapping array for an entity to be installed. More...
uint32_t | GetGRFID (uint16_t entity_id) const
| Gives the GRFID of the file the entity belongs to. More...
uint16_t | GetSubstituteID (uint16_t entity_id) const
| Gives the substitute of the entity, as specified by the grf file. More...
virtual uint16_t | GetID (uint16_t grf_local_id, uint32_t grfid) const
| Return the ID (if ever available) of a previously inserted entity. More...
uint16_t | GetMaxMapping () const
uint16_t | GetMaxOffset () const

## Additional Inherited Members
Data Fields inherited from OverrideManagerBase
std::vector< EntityIDMapping > | mappings
| mapping of ids from grf files. Public out of convenience
Protected Member Functions inherited from OverrideManagerBase
virtual bool | CheckValidNewID ([[maybe_unused]] uint16_t testid)
Protected Attributes inherited from OverrideManagerBase
std::vector< uint16_t > | entity_overrides
std::vector< uint32_t > | grfid_overrides
uint16_t | max_offset
| what is the length of the original entity's array of specs
uint16_t | max_entities
| what is the amount of entities, old and new summed
uint16_t | invalid_id
| ID used to detected invalid entities.

## Detailed Description

Definition at line 258 of file newgrf_commons.h.

The documentation for this class was generated from the following files:

- src/newgrf_commons.h
- src/newgrf_airport.cpp